Subject: Re: git-fast-import crashes

From: Pierre Habouzit <[email-masked]>
Date: Sat, 13 Oct 2007 09:36:40 +0200

On Sat, Oct 13, 2007 at 03:34:07AM +0000, Shawn O. Pearce wrote:
> "Shawn O. Pearce" <[email-masked]> wrote:
> > Shun Kei Leung <[email-masked]> wrote:
> > > I am using git 1.5.3.4.206.g58ba4-dirty on Mac OS X 10.4.
> ....
> > > Program received signal EXC_BAD_ACCESS, Could not access memory.
> > > Reason: KERN_INVALID_ADDRESS at address: 0x64617469
> ....
> > This looks like it is
> > memory corruption (e.g. someone overwriting a free'd segment),
> > but that sort of memory corruption is very hard to track down.
> 
> OK, so the version you have (58ba4) is the latest fast-import after
> the strbuf.c series went in.  The one immediately before that series
> was 4bf538 and is probably actually stable.
> 
> So I wonder, can you test 4bf538 and then if it is good bisect
> between those two commits?  There must be a memory corruption
> introduced by one of the strbuf changes...

  Gasp, if you get the offending sha1 commit, don't forget to Cc: me.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org